LDAPLoginModule (ActiveMQ Artemis Web 1.5.3.jbossorg-002 API)
Date: 2017-02-15

org.apache.activemq.artemis.spi.core.security.jaas

## Class LDAPLoginModule

- java.lang.Object
- - org.apache.activemq.artemis.spi.core.security.jaas.LDAPLoginModule

- All Implemented Interfaces:
    LoginModule

      public class LDAPLoginModule
      extends Object
      implements LoginModule

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DirContext` | `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPLoginModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `abort()`
    `protected boolean` | `authenticate(String username, String password)`
    `protected boolean` | `bindUser(DirContext context, String dn, String password)`
    `protected void` | `closeContext()`
    `boolean` | `commit()`
    `protected String` | `doRFC2254Encoding(String inputString)`
    `protected List<String>` | `getRoles(DirContext context, String dn, String username, List<String> currentRoles)`
    `void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
    `boolean` | `login()`
    `boolean` | `logout()`
    `protected void` | `openContext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected DirContext context

  - ### Constructor Detail

    - #### LDAPLoginModule

          public LDAPLoginModule()

  - ### Method Detail

    - #### initialize

          public void initialize(Subject subject,
                                 CallbackHandler callbackHandler,
                                 Map<String,?> sharedState,
                                 Map<String,?> options)

      Specified by:
        `initialize` in interface `LoginModule`

    - #### login

          public boolean login()
                        throws LoginException

      Specified by:
        `login` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### logout

          public boolean logout()
                         throws LoginException

      Specified by:
        `logout` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### commit

          public boolean commit()
                         throws LoginException

      Specified by:
        `commit` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### abort

          public boolean abort()
                        throws LoginException

      Specified by:
        `abort` in interface `LoginModule`
      Throws:
        `LoginException`

    - #### closeContext

          protected void closeContext()

    - #### authenticate

          protected boolean authenticate(String username,
                                         String password)
                                  throws LoginException

      Throws:
        `LoginException`

    - #### getRoles

          protected List<String> getRoles(DirContext context,
                                          String dn,
                                          String username,
                                          List<String> currentRoles)
                                   throws NamingException

      Throws:
        `NamingException`

    - #### doRFC2254Encoding

          protected String doRFC2254Encoding(String inputString)

    - #### bindUser

          protected boolean bindUser(DirContext context,
                                     String dn,
                                     String password)
                              throws NamingException

      Throws:
        `NamingException`

    - #### openContext

          protected void openContext()
                              throws NamingException

      Throws:
        `NamingException`

Copyright © 2017 The Apache Software Foundation. All rights reserved.